Bug 961321 - VMs are hibernated unexpectedly
VMs are hibernated unexpectedly
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.3
All Linux
urgent Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 08:18 EDT by Kevein Liu
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-13 04:32:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The problematic VM (67.27 KB, image/jpeg)
2013-05-09 08:26 EDT, Kevein Liu
no flags Details
engine.log (10.00 MB, application/x-troff-man)
2013-05-10 03:20 EDT, Kevein Liu
no flags Details

  None (edit)
Description Kevein Liu 2013-05-09 08:18:18 EDT
Description of problem:
Some VMs are hibernated unexpectedly while no one perform the action.

Version-Release number of selected component (if applicable):
* rhevm-3.1.0-43.el6ev.noarch

How reproducible:
It happens occasionally.

Steps to Reproduce:
1. N/A

  
Actual results:
For some VMs, they were hibernated by chance.

Expected results:
Keep running.

Additional info:
Please refer to the first comment and the file attachment
Comment 1 Kevein Liu 2013-05-09 08:24:38 EDT
The latest problematic VM is ZJZX009:
==============================================================
               vm_guid                | vm_name 
--------------------------------------+---------
 c2120fa2-f2e2-4012-8ac9-e5f902ab0897 | ZJZX009
==============================================================

It was hibernated on 
============/var/log/ovirt-engine/engine.log.1===========================
2013-05-08 13:41:40,493 INFO  [org.ovirt.engine.core.bll.HibernateVmCommand] (ajp-/127.0.0.1:8702-17) [4e6884a6] Running command: HibernateVmCommand internal: false. Entities affected :  ID: c2120fa2-f2e2-4012-8ac9-e5f902ab0897 Type: VM
=========================================================================

At that time, the SPM node is h-p-24. And there are 3 hypervisors in this rhev setup. I will upload the log-collector and all the sosreport from the hypervisors.

Thanks,
Kevein
Comment 2 Kevein Liu 2013-05-09 08:26:24 EDT
Created attachment 745653 [details]
The problematic VM

This is the time stamp of the problem.
Comment 3 Michal Skrivanek 2013-05-10 01:31:17 EDT
engine logs, please?
Comment 4 Kevein Liu 2013-05-10 03:17:07 EDT
(In reply to comment #3)
> engine logs, please?

The log collector is larger that 100MB, how can I provide it to you?
Thanks!
Comment 5 Kevein Liu 2013-05-10 03:20:42 EDT
Created attachment 745978 [details]
engine.log

The engine log contains erroneuos messages.
Comment 6 Omer Frenkel 2013-05-12 07:50:24 EDT
the 'internal: false' in the log implies that the action was done by the user,
in the virtual machines tab, select this vm, go to 'events' sub-tab,
you should see there a message with the user name that initiated the command:
(something like "Suspending VM XXX was initiated by User admin@internal (Host:YYY)." )

this helps?
Comment 7 Kevein Liu 2013-05-12 21:44:15 EDT
(In reply to comment #6)
> the 'internal: false' in the log implies that the action was done by the
> user,
> in the virtual machines tab, select this vm, go to 'events' sub-tab,
> you should see there a message with the user name that initiated the command:
> (something like "Suspending VM XXX was initiated by User admin@internal
> (Host:YYY)." )
> 
> this helps?

Thanks Omer,
I think it's helpful. I'm telling customer and look forward the response.
Cheers,
Kevein

Note You need to log in before you can comment on or make changes to this bug.